
var m_port = null;
var cbOnMessage = null;
var cbOnExtensionDisconnected = null;
function csConnectExtension (extensionId, onMessage, onExtensionDisconnected, msgConnectExtension) {
    cbOnMessage = onMessage;
    cbOnExtensionDisconnected = onExtensionDisconnected;
    console.log("csConnectExtension: Connecting extension " + extensionId);
    m_port = chrome.runtime.connect(extensionId);
    if (m_port == null) {
        Log("error","csConnectExtension: Unable to establish connection");
        return false;
    }
    m_port.onMessage.addListener(csOnMessage);
    m_port.onDisconnect.addListener(csOnExtensionDisconnected);
    m_port.postMessage(msgConnectExtension);
    return true;
}

function csOnMessage(m) {
    console.log("csOnMessage: received message from extension" + JSON.stringify(m));
    window.wrappedJSObject.contentMessage = cloneInto(m, window);
    cbOnMessage(m);
}

function csOnExtensionDisconnected () {
    console.log("csOnExtensionDisconnect:  Messaging disconnected from extension. Setting 'm_port = null'");
    m_port = null;
    cbOnExtensionDisconnected();
}

function csPostMessage(m) {
    console.info("csPostMessage: Sending wrapped message to the background page: " + JSON.stringify(m));
    m_port.postMessage(m);
}

exportFunction(csConnectExtension, window, {defineAs:'csConnectExtension' });
exportFunction(csPostMessage, window, {defineAs:'csPostMessage' });